# -*- rpm-spec -*-
# $Id $

%define real_release	02-stable
%define chroot	%_localstatedir/%name

Name: ircd
Version: 1.0.4
Release: alt4

Summary: %name - is ircd daemon
License: GPL
Group: Networking/IRC
URL: http://www.ircd.ru/

Provides: ircd-chroot(%chroot)

Source0: %name-RU-%version-%real_release.tar.bz2
Source1: %name.init
Source2: %name.chroot.all
Source3: %name.chroot.conf
Source4: %name.chroot.lib
Source5: %name.chroot.bin
Source6: %name.chroot.log

Patch0: %name-chroot.patch

# Automatically added by buildreq on Thu Feb 28 2002
BuildRequires: libgmp-devel

%description
ircd is the server (daemon) program for the Internet Relay
Chat Program.  The ircd is a server in that  its  function
is  to "serve" the client program irc(1) with messages and
commands.  All  commands  and  user  messages  are  passed
directly  to the ircd for processing and relaying to other
ircd sites.  The irc(1) program depends upon  there  being
an  ircd  server  running  somewhere (either on your local
UNIX site or a remote ircd site)  so  that  it  will  have
somewhere  to  connect to and thus allow the user to begin
talking to other users.

%prep
%setup -q -n %name-RU-%version-%real_release
%patch0 -p1

%build 
./configure --enable-encryption --prefix=/
%__perl -pi -e "s|\"bin/ircd\"|\"%_sbindir/ircd\"|;
		s|\"codepages\"|\"%_sysconfdir/codepages\"|;
		s|\"doc/|\"%_datadir/doc/|" include/paths.h
%__perl -pi -e "s|#undef[\t ]+SYSLOG_|#define SYSLOG_|" include/config.h
%make_build

%install
%__mkdir -p %buildroot{%_sbindir,%_sysconfdir/%name,%_man1dir,%_man8dir}
%__mkdir -p %buildroot%chroot{/lib,/dev,/tmp,%_sysconfdir/codepages,%_var/run,%_sbindir,%_datadir/doc}
%__perl -pi -e "s|\"/\"|\"%buildroot/\"|" include/paths.h
%__make install

%__install -m 0755 -D %SOURCE1 %buildroot%_initdir/ircd
%__mv -f doc/irc.1  %buildroot%_man1dir/
%__mv -f doc/ircd.8 %buildroot%_man8dir/

%__cp -f doc/ru_RU.KOI8-R/example.conf        %buildroot%_sysconfdir/example.conf
%__cp -f opers.txt			      %buildroot%_sysconfdir/%name
%__mv -f %buildroot%_sysconfdir/codepages     %buildroot%_sysconfdir/%name
%__mv -f %buildroot%_sysconfdir/example.conf  %buildroot%_sysconfdir/%name/ircd.conf
%__mv -f %buildroot%_sysconfdir/example.motd  %buildroot%_sysconfdir/%name/ircd.motd
%__mv -f %buildroot%_sysconfdir/example.smotd %buildroot%_sysconfdir/%name/ircd.smotd
%__mv -f %buildroot%_sysconfdir/kline.conf    %buildroot%_sysconfdir/%name/

%__install -m 0750 -D %SOURCE2 %buildroot%_sysconfdir/chroot.d/%name.all
%__install -m 0750 -D %SOURCE3 %buildroot%_sysconfdir/chroot.d/%name.conf
%__install -m 0750 -D %SOURCE4 %buildroot%_sysconfdir/chroot.d/%name.lib
%__install -m 0750 -D %SOURCE5 %buildroot%_sysconfdir/chroot.d/%name.bin
%__install -m 0750 -D %SOURCE6 %buildroot%_sysconfdir/chroot.d/%name.log
%__perl -pi -e 's|%%ROOT|%chroot|g' %buildroot%_sysconfdir/chroot.d/%name.* %buildroot%_initdir/%name
%__perl -pi -e 's|%%CONFDIR|%_sysconfdir/%name|g' %buildroot%_sysconfdir/chroot.d/%name.* %buildroot%_initdir/%name
%__perl -pi -e 's|%%NAME|%name|g' %buildroot%_sysconfdir/chroot.d/%name.*

%pre
if [ $1 = 1 ]; then
	groupadd -r ircd >/dev/null 2>&1 ||:
	useradd -M -r ircd -g ircd -s /dev/null -c "IRC server" -d %_localstatedir/%name >/dev/null 2>&1 ||:
fi

%post
%_sysconfdir/chroot.d/%name.all force
%post_service ircd
/sbin/service syslogd condrestart ||:

%preun
%preun_service ircd
if [ $1 = 0 ]; then
	userdel -r ircd >/dev/null 2>&1 ||:
	groupdel ircd >/dev/null 2>&1 ||:
fi

%files
%doc doc/* CHANGES* CODING_STANDARD INSTALL* TODO* lists opers.txt
%dir %_sysconfdir/%name
%dir %_sysconfdir/%name/codepages
%attr(0755,ircd,ircd) %dir %chroot
%dir %chroot%_sysconfdir/codepages
%dir %chroot/dev
%dir %chroot%_var/run
%dir %chroot/lib
%dir %chroot/tmp
%dir %chroot%_sbindir
%dir %chroot%_datadir/doc
%config %_sysconfdir/chroot.d/*
%config(noreplace) %_sysconfdir/%name/ircd.*
%config(noreplace) %_sysconfdir/%name/kline.conf
%config(noreplace) %_sysconfdir/%name/opers.txt
%_sysconfdir/%name/codepages/*
%_initdir/*
%_sbindir/*
%_man1dir/*
%_man8dir/*

%changelog
* Mon Nov 18 2002 Rider <rider@altlinux.ru> 1.0.4-alt4
- rebuild

* Wed Jun 12 2002 Grigory Milev <week@altlinux.ru> 1.0.4-alt3
- bug fixed release

* Fri Mar  1 2002 Grigory Milev <week@altlinux.ru> 1.0.4-alt2
- fixed some in init scripts
- fixed dublicated docs dir

* Wed Feb 27 2002 Grigory Milev <week@altlinux.ru> 1.0.4-alt1
- Initial build for ALT Linux distribution.


